Subject: bug#34068: closed (Re: bug#34068: 26.1; next-error does not go to correct column for grep)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Jan 2019 07:55:02 +0000

Your bug report

#34068: 26.1; next-error does not go to correct column for grep

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34068: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34068
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34068: 26.1; next-error does not go to correct column for grep
From: Eli Zaretskii <[email-masked]>
To: Trevor Spiteri <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 Jan 2019 09:54:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Trevor Spiteri <[email-masked]>
> Date: Mon, 14 Jan 2019 13:43:21 +0100
> 
> This is a regression from 25 which has the correct behaviour.
> 
> emacs -Q
> C-x C-f /tmp/hello
> Hello
> C-x C-s
> M-x grep
> C-a C-k grep --color -nH --null -e ll /tmp/hello
> C-x `
> 
> This puts the mark in column 0, not in column 2, even though "ll" is
> highlighted in the *grep* buffer.
> 
> This is a regression in 26.1, it used to work in 25.
> 
> To fix it in my local copy, I edit grep-regexp-alist in grep.el. There
> are two instances of 'grep-match-face which I replaced with an unquoted
> grep-match-face.

Thanks, I installed your proposed change, and I'm closing the bug.

Subject: 26.1; next-error does not go to correct column for grep
From: Trevor Spiteri <[email-masked]>
To: [email-masked]
Date: Mon, 14 Jan 2019 13:43:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This is a regression from 25 which has the correct behaviour.

emacs -Q
C-x C-f /tmp/hello
Hello
C-x C-s
M-x grep
C-a C-k grep --color -nH --null -e ll /tmp/hello
C-x `

This puts the mark in column 0, not in column 2, even though "ll" is
highlighted in the *grep* buffer.

This is a regression in 26.1, it used to work in 25.

To fix it in my local copy, I edit grep-regexp-alist in grep.el. There
are two instances of 'grep-match-face which I replaced with an unquoted
grep-match-face.